# Poco

# class SharedLibraryImpl

Library: Foundation
Package: SharedLibrary
Header: Poco/SharedLibrary_WIN32U.h

## Inheritance

Known Derived Classes: SharedLibrary

## Member Summary

Member Functions: findSymbolImpl, getPathImpl, isLoadedImpl, loadImpl, setSearchPathImpl, suffixImpl, unloadImpl

## Constructors

### SharedLibraryImpl

SharedLibraryImpl();

## Destructor

### ~SharedLibraryImpl

~SharedLibraryImpl();

## Member Functions

### findSymbolImpl

void * findSymbolImpl(
const std::string & name
);

### getPathImpl

const std::string & getPathImpl() const;

### isLoadedImpl

bool isLoadedImpl() const;

### loadImpl

void loadImpl(
const std::string & path,
int flags
);

### setSearchPathImpl

static bool setSearchPathImpl(
const std::string & path
);

### suffixImpl

static std::string suffixImpl();

### unloadImpl

void unloadImpl();